<!DOCTYPE html>
<html>

<head>
  <meta charset="UTF-8">
  <title>Form work1</title>
  <script>
    /*
      Задание:

      1. Сгенерировать список стран в Select countries
      2. При выборе страны генерировать еще один Select со списком
        городов этой страны и вывести этот селект в блок result
      3. При выборе города нужно случайно рандомить температуру от
      -10 градусов до +40. Если температура

        -10 до 0 то 'Солнечно' 'Легкий снегопад' 'Сильный снегопад'
        0 до 30 то  'Солнечно' 'Дождь' 'Ветер' 'Сильный дождь'
        30 до 40 то 'Солнечно' 'Засуха' 'Ветер'

      4. Вывести сообщение на страничку
        {Country}. В {City} {Weather} {Temperature} градусов.
        Ukraine. В Kyiv Солнечно -10 градусов

        + бонус добавить красивые картинки с погодой
    */
    window.addEventListener("load", function () {

      var countries = ['Ukraine', 'Poland', 'USA'];
      var ukraineCity = ['Kyiv', 'Lviv', 'Odesa', 'Charkiv'];
      var polandCity = ['Warszawa', 'Poznan', 'Krakow', 'Katowice'];
      var usaCity = ['New York', 'Los Angeles', 'Las Vegas', 'Chicago'];

      var weatherCold = ['Солнечно', 'Легкий снегопад', 'Сильный снегопад'];
      var weatherNormal = ['Солнечно', 'Дождь', 'Ветер', 'Сильный дождь'];
      var weatherHot = ['Солнечно', 'Засуха', 'Ветер'];

      // set combobox countries
      var selectCountries = document.getElementById("countries");
      selectCountries.addEventListener('change', ChangeCountry);

      // set default option
      var optDefault = document.createElement('option');
      optDefault.innerHTML = "Select country";
      selectCountries.appendChild(optDefault);

      let selectCities = document.createElement('select');
      //selectCities.classList.add("selectCitiesor");
      selectCities.style.display = "none";
      selectCities.addEventListener('change', ChangeCity);
      document.body.insertBefore(selectCities, result);

      // set default option by array
      countries.forEach(country => {
        var opt = document.createElement('option');
        opt.value = country;
        opt.innerHTML = country;
        selectCountries.appendChild(opt);
      });

      function ChangeCountry(event) {
        if (event.target.selectedIndex !== 0) {
          optDefault.disabled = true;
        }
        AddCities()
      }

      function AddCities() {
        selectCities.style.display = 'block';
        document.getElementById("result").innerText = ""; // очистка температуры

        Array.from(selectCities).forEach(option => {selectCities.remove(option)});

        // set default option
        var optDefault = document.createElement('option');
        optDefault.innerHTML = "Select city";
        selectCities.appendChild(optDefault);

        // set default option by array
        let cities = getCitiesByCountry();

        cities.forEach(city => {
          var opt = document.createElement('option');
          opt.value = city;
          opt.innerHTML = city;
          selectCities.appendChild(opt);
        });
      }

      function getCitiesByCountry() {
        var country = selectCountries.options[event.target.selectedIndex].value;
        switch (country) {
          case "Ukraine":
            return ukraineCity;
            break;
          case "Poland":
            return polandCity;
            break;
          case "USA":
            return usaCity;
            break;
        }
      }

      function ChangeCity(event) {
        if (event.target.selectedIndex !== 0) {
          event.target.options[0].disabled = true;
        }

        var country = selectCountries.options[selectCountries.options.selectedIndex].value;
        var city = event.target.options[event.target.selectedIndex].value;
        var temperature = getRandomInt(-10, 40);
        var weather = getWeather(temperature);
        DisplayText(country, city, temperature, weather);
      }

      function getWeather(temperature) {
        let array;
        if (temperature < 0) {
          array = weatherCold;
        }
        else if (temperature >= 0 && temperature < 30) {
          array = weatherHot;
        }
        else if (temperature >= 30 && temperature < 40) {
          array = weatherNormal;
        }
        else {
          return "Температура не задана"
        }
        var index = getRandomInt(0, array.length - 1)
        return array[index];
      }

      function DisplayText(country, city, temperature, weather) {
        var result = document.getElementById("result");
        result.innerText = country + ". В " + city + " " + weather + " " + temperature + " градусов.";
      }

      function getRandomInt(min, max) {
        min = Math.ceil(min);
        max = Math.floor(max);
        return Math.floor(Math.random() * (max - min + 1)) + min;
      }
    });
  </script>
</head>

<body id="test">
  <select id="countries">
  </select>
  <div id="result">

  </div>
</body>

</html>